Bug 698708 - grub requires building against glibc-static.i686 on x86_64 based systems
grub requires building against glibc-static.i686 on x86_64 based systems
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: grub (Show other bugs)
6.1
x86_64 Unspecified
unspecified Severity medium
: rc
: 6.1
Assigned To: Peter Jones
Release Test Team
:
Depends On:
Blocks: 702988
  Show dependency treegraph
 
Reported: 2011-04-21 10:59 EDT by Robert M Williams
Modified: 2012-07-07 18:10 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
When rebuilding the grub package on the x86_64 architecture, the glibc-static.i686 package must be used. Using the glibc-static.x86_64 package will not meet the build requirements.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-04-21 11:22:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch for grub-0.97 failing to build on x86_64 hosts (747 bytes, patch)
2012-07-07 18:10 EDT, Nico Kadel-Garcia
no flags Details | Diff

  None (edit)
Description Robert M Williams 2011-04-21 10:59:47 EDT
Description of problem:
grub requires building against glibc-static.i686 on x86_64 based systems

Version-Release number of selected component (if applicable):
grub-0.97-70.el6.x86_64

How reproducible:
100%

Steps to Reproduce:
1.
2.
3.
  
Actual results:
grub build fails unless build against static 32-bit version of glibc

Expected results:
grub builds on x86_64 platforms without need to specify specific library

Additional info:
Comment 3 David Cantrell 2011-04-21 11:22:02 EDT
grub has to build this way, even on x86_64 systems.  It must build against
glibc-static.i686 and /usr/lib/crt1.o.
Comment 4 David Cantrell 2011-04-21 11:22:02 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
If you want to rebuild the grub package, you must use the glibc-static.i686 package and not the glibc-static.x86_64 package to meet the build requirements.
Comment 6 Ryan Lerch 2011-05-10 19:30:39 EDT
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -1 +1 @@
-If you want to rebuild the grub package, you must use the glibc-static.i686 package and not the glibc-static.x86_64 package to meet the build requirements.+When rebuilding the grub package on the x86_64 architecture, the glibc-static.i686 package must be used. Using the glibc-static.x86_64 package will not meet the build requirements.
Comment 7 Nico Kadel-Garcia 2012-07-07 18:10:18 EDT
Created attachment 596819 [details]
Patch for grub-0.97 failing to build on x86_64 hosts

This *actually solves* the grub dependency problem of requiring glibc-static.i686 on x86_64 architecture, and applies the solution only to the x86_64 build environment to avoid adventures on PPC or other architectures.

Note You need to log in before you can comment on or make changes to this bug.